Package org.eclipse.debug.ui

# Class PrototypeDecorator

java.lang.Object
org.eclipse.debug.ui.PrototypeDecorator

All Implemented Interfaces:
  `IBaseLabelProvider`, `ILightweightLabelDecorator`

public class PrototypeDecorator extends Object implements ILightweightLabelDecorator
Decorator for `ILaunchConfiguration` prototypes.

Since:
  3.13

## Constructor Summary

Constructors
Constructor
Description
`PrototypeDecorator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addListener(ILabelProviderListener listener)`
Adds a listener to this label provider.
`void`
`decorate(Object element, IDecoration decoration)`
Calculates decorations based on element.
`void`
`dispose()`
Disposes of this label provider.
`boolean`
`isLabelProperty(Object element, String property)`
Returns whether the label would be affected by a change to the given property of the given element.
`void`
`removeListener(ILabelProviderListener listener)`
Removes a listener to this label provider.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PrototypeDecorator

public PrototypeDecorator()

## Method Details

### addListener

public void addListener(ILabelProviderListener listener)
Description copied from interface: `IBaseLabelProvider`
Adds a listener to this label provider. Has no effect if an identical listener is already registered.

Label provider listeners are informed about state changes that affect the rendering of the viewer that uses this label provider.

Specified by:
  `addListener` in interface `IBaseLabelProvider`
Parameters:
  `listener` - a label provider listener

### dispose

public void dispose()
Description copied from interface: `IBaseLabelProvider`
Disposes of this label provider. When a label provider is attached to a viewer, the viewer will automatically call this method when the viewer is being closed. When label providers are used outside of the context of a viewer, it is the client's responsibility to ensure that this method is called when the provider is no longer needed.

Specified by:
  `dispose` in interface `IBaseLabelProvider`

### isLabelProperty

public boolean isLabelProperty(Object element, String property)
Description copied from interface: `IBaseLabelProvider`
Returns whether the label would be affected by a change to the given property of the given element. This can be used to optimize a non-structural viewer update. If the property mentioned in the update does not affect the label, then the viewer need not update the label.

Specified by:
  `isLabelProperty` in interface `IBaseLabelProvider`
Parameters:
  `element` - the element
  `property` - the property
Returns:
  `true` if the label would be affected, and `false` if it would be unaffected

### removeListener

public void removeListener(ILabelProviderListener listener)
Description copied from interface: `IBaseLabelProvider`
Removes a listener to this label provider. Has no effect if an identical listener is not registered.

Specified by:
  `removeListener` in interface `IBaseLabelProvider`
Parameters:
  `listener` - a label provider listener

### decorate

public void decorate(Object element, IDecoration decoration)
Description copied from interface: `ILightweightLabelDecorator`
Calculates decorations based on element.

Specified by:
  `decorate` in interface `ILightweightLabelDecorator`
Parameters:
  `element` - the element to decorate
  `decoration` - the decoration to set